Skip to main content
Resource Center/Network Service/Network Service Operations/IPsec Operations

AddRemoteCidrsToIPsecConnection

AddRemoteCidrsToIPsecConnection

POST/zstack/v1/ipsec/{uuid}/remote-cidrs

Operation ID

AddRemoteCidrsToIPsecConnection

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • peerCidrs
      ListRequired

      The peer cidrs.

    • resourceUuid
      String

      Optional.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    IPsecConnectionInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • peerAddress
      StringRequired

      The remote network address.

    • authMode
      StringRequired

      The authentication mode.

    • authKey
      StringRequired

      The authentication key.

    • vipUuid
      StringRequired

      The VIP UUID.

    • ikeAuthAlgorithm
      StringRequired

      The IKE authentication algorithm.

    • ikeEncryptionAlgorithm
      StringRequired

      The IKE encryption algorithm.

    • ikeDhGroup
      IntegerRequired

      The IKE DH group.

    • policyAuthAlgorithm
      StringRequired

      The ESP authentication algorithm.

    • policyEncryptionAlgorithm
      StringRequired

      The ESP encryption algorithm.

    • pfs
      StringRequired

      The PFS DH group.

    • policyMode
      StringRequired

      The encryption mode.

    • transformProtocol
      StringRequired

      The security protocol.

    • ikeVersion
      StringRequired

      The IKE version.

    • idType
      StringRequired

      The ID configuration method.ID

    • localId
      StringRequired

      The local ID.

    • remoteId
      StringRequired

      The remote ID.

    • state
      StringRequired

      The running state.

    • status
      StringRequired

      The ready status.

    • ikeLifeTime
      intRequired

      The IKE lifetime.

    • lifeTime
      intRequired

      The IPsec lifetime.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • peerCidrs
      ListRequired

      See peerCidrs.

      • uuid
        StringRequired

        The resource UUID.

      • cidr
        StringRequired

        The cidr.

      • connectionUuid
        StringRequired

        The connection UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • l3NetworkRefs
      ListRequired

      See l3NetworkRefs.

      • uuid
        StringRequired

        The resource UUID.

      • connectionUuid
        StringRequired

        The connection UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.